// out: main.css, sourcemap: false, compress: false

@import "reset.css";
@import "fonts.less";
@import "variablesGlobales.less";
@import "variablesSpecs.less";

    /*@getNum: Math.random() * (20 - 0 + 1);*/

.doublePages(@i) {
  @left: @i;
  @right: @i + 1;
  .bleed@{left},
  .bleed@{right}{
    position: relative;
    .page .textTo{
      position: absolute;
      width: @pageW + (@unitW * 2);
      height: @pageH + ((@unitH + @page-bleed) * 2);
      top: -@page-bleed - 1px;
      left: -@unitW - 1px;
      margin: 0;
      overflow: hidden;
    }
    h6{
      width: 100%;
      height: 100%;
      overflow: hidden;
      img{
        width: 100%;
        margin-left: 0mm;
      }
    }
    .pagination{
      display: none;
    }
  }
}

*,
*:before,
*:after {
  box-sizing: border-box;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
}

body{
  font-size: @fontsize;
}

h1,
h2,
h3,
h4,
h5,
em,
strong,
cite{
  font-weight: normal;
  font-style: normal;
}

small{
  font-variant: small-caps;
}
small + sup{
  color: @colorfont;
}

section{// chaque partie
  width: 100%;
  transform-origin: 0 0;
}
.bleed .page{ // double page
  .structure{
    height: 100%;
    .content{
      height: 100%;
    }
    // font-size: @fontsize *4;
  }
  .header{ //entête
    font-size: @fontsize*1.5;
    text-align: left;
    position: relative;
    width: @pageW - (@unitW * 4);
    margin-top:-@unitH*.5;
    .artist{
      font-size: @fontsize * 2;
      font-family: @fontfamilyTimesb11;
      font-weight: normal;
    }
    .country{
      font-size: @fontsize;
      font-family: @fontfamilyTimesr11;
      font-weight: normal !important;
      span{
        font-weight: normal !important;
      }
      .en{
        font-family: @fontfamilyTimesl11;
      }
    }
    .title{
      margin-top: @unitH * .5;
      font-size: @fontsize * 2.5;
      line-height: @fontsize * 2.75;
      font-family: @fontfamilyTimesibHandles;
      text-align: center;
      /*test: @getNum;*/
      transform: skewX(20deg);
      text-transform: uppercase;
      letter-spacing: 0.1em;
      font-weight: normal;
    }
    .subtitle{
      font-size: @fontsize;
      font-family: @fontfamilyTimesr11;
      text-align: center;
      margin-top: @unitH/3;
      font-weight: normal;
      .en{
        font-size: @fontsize;
        font-family: @fontfamilyTimesl11;
      }
    }
  }
  .text,
  .infos{
    width: @pageW - (@unitW * 4);
    display: flex;
    position: relative;
    transform-origin: 0 0;
    line-height: @fontsize * 1.25;
    font-size: @fontsize * .9;
  }
  .text,
  .sommaire{
    position: absolute;
    top: @unitH * 6;
    .columnFr,
    .columnEn{
      width: @unitW * 14;
      position: relative;
    }
    .columnFr{
      // margin-right: @unitW * .5;
      font-family: @fontfamilyTimesr11;
    }
    .columnEn{
      font-family: @fontfamilyTimesl11;
      margin-left: @unitW;
    }
  }
  .infos{
    position: absolute;
    bottom: @unitH * 1.5;
    .bioFr,
    .bioEn{
      width: 50%;
    }
    .bioFr{
      margin-right: @unitW * .5;
      font-family: @fontfamilyFuturalMono;
    }
    .bioEn{
      margin-left: @unitW * .5;
      font-family: @fontfamilyFuturalMono;
    }
  }
  img{
    width: 100%;
  }

  .pagination{
    position: absolute;
    bottom: @unitH/2;
    font-family: @fontfamilyFuturalMonoHandles;
    // transform: scale(3,1);
    letter-spacing: .5em;
    font-size: @fontsize / 1.2;
  }
}
#concours, #expositions{
  p{
    color: @colorfont;
    text-indent: @unitW * 2;
  }
  h6 > p,
  p:nth-of-type(1){
    text-indent: 0 !important;
  }
}
#concours{
  img{
    width: @pageW - (@unitW * 4);
    margin-left: @unitW * 2;
  }

}

.hyeres{
  h1,
  h2,
  h3,
  h4,
  h5,
  h6,
  ins,
  cite,
  sup{
    color: @colortexteviolet;
  }
}

.toulon{
  h1,
  h2,
  h3,
  h4,
  h5,
  h6,
  ins,
  cite,
  sup,
  del{
    color: @colortexterose;
  }
}

#expositions,
#remerciements,
#ouverture{
  .columnFr{
    font-family: @fontfamilyTimesr11;
  }
  .columnEn{
    font-family: @fontfamilyTimesl11;
  }
  .bleed .pageLeft{
    h6{
      img{
        width: @unitW * 29;
      }
      cite{
        margin-left: @unitW * 2;
        width: @unitW * 27;
      }
    }
  }
  .bleed .pageRight{
    h6{
      img{
        width: @unitW * 29;
        margin-left: -(@unitW * 4);
      }
      cite{
        margin-right: @unitW * 2;
        margin-left: -(@unitW * 4)
      }
    }
  }
  .column{
    h2{
      text-transform: uppercase;
      font-family: @fontfamilyTimesb11;
      em{
        font-family: @fontfamilyTimesib11;
      }
    }
    p{
      text-indent: @unitW * 2;
      em{
        font-family: @fontfamilyTimesir;
      }
    }
    h3,
    h2{
      margin-top: @fontsize * 1.25;
    }
    h2 + p,
    h3 + p,
    h6 + p,
    p:nth-of-type(1){
      text-indent: 0 !important;
    }
    h5{
      font-family: @fontfamilyFuturalMono;
      padding-top: @fontsize * 1.25;
      text-align: right;
      small{
        font-variant: normal;
        text-transform: uppercase;
        width: @unitW * 4;
        margin-right: @unitW;
        display: inline-block;
        text-align: center;
      }
    }
    cite{
      font-family: @fontfamilyFuturalMono;
      font-style: normal;
      position: absolute;
      bottom: @unitH * .3;
    }
    h6{
      font-family: @fontfamilyFuturalMono;
      font-weight: normal;
      cite{
        font-style: normal;
        position: absolute;
        bottom: @unitH * .3;
        em{
          font-style: italic;
        }
      }
      cite,
      cite strong,
      cite em{
        font-size: @fontsize * .8;
        line-height: @fontsize * 1.25;
      }
    }
    ins{
      text-indent: 0 !important;
      font-family: @fontfamilyFuturalMono;
      float: left;
      width: @unitW * 6.25;
      margin-right: @unitW * .75;
      margin-top: @fontsize * 1.25;
      font-size: @fontsize * .8;
      line-height: @fontsize * 1.25;
      strong{
        padding-top: @fontsize * 1.25;
        display: inline-block !important;
        &:nth-of-type(1){
          padding-top: 0;
        }
      }
      em{
        font-family: @fontfamilyFuturalMono;
        font-style: italic;
        font-weight: normal;
        font-size: @fontsize * .8;
      }
    }
    sup{
      line-height: 0;
      font-size: @fontsize * .5;
      vertical-align: super;
    }
  }
  .textTo{
    height: @pageH - (@unitH * 2);
    position: relative;
  }
  .textTo *{
    line-height: @fontsize * 1.25;
    font-size: @fontsize * .9;
  }
  .textToFirst{
    height: @pageH - (@unitH * 8);
    position: absolute;
    top: @unitH * 7 - 1mm;
  }

  .bleed .pageLeft .textTo{
    margin-right: @unitW * 6;
  }
  .bleed .pageLeft .headerTo{
    padding-right: @unitW * 5;
    .header{
      width: 100%;
    }
  }
   .bleed .pageRight .textTo,
   .bleed .pageRight .header{
    margin-left: @unitW * 6;
  }
  .bleed .page .text{
    .columnFr,
    .columnEn{
      width: 100% !important;
    }
  }
}

#expositions #part1060{ // Hoffner
  .bleed9{
    .page{
      h6{
        margin-left: -(@unitW * 8);
        margin-top: -(@unitH + @page-bleed);
        width: @pageW + @unitW * 2 - 2mm;
        height: @pageH + (@unitH + @page-bleed) - 4mm;
        overflow: hidden;
        img{
          width: 100% !important;
          margin-top: -3.5%;
          margin-left: 0%;
        }
      }
    }
    .pagination{
      display: none;
    }
  }
}

#expositions #part1061{ // Picasso
  .columnEn p:nth-last-of-type(1) ins{
    margin-bottom: @unitH * 3;
  }
  .bleed2 .column ins,
  .bleed6 .column ins,
  .bleed9 .column ins{
    margin-bottom: @unitH;
  }
  .bleed10{
    .page{
      h6{
        margin-left: -(@page-bleed * 2);
        margin-top: -(@unitH + @page-bleed);
        width: @pageW + @unitW * 2 - 2mm;
        height: @pageH + (@unitH + @page-bleed) - 4mm;
        overflow: hidden;
        img{
          width: 100%;
          margin-top: -3.5%;
          margin-left: 0%;
        }
      }
    }
    .pagination{
      display: none;
    }
  }
}

#expositions #part1042, // Yovanovitch
#expositions #part1044{ // carolien
  h1{
    sup{
      font-size: @fontsize * .85;
      vertical-align: super;
    }
  }
}

#expositions #part1073{ // ABN
  .doublePages(6);
  P + h1{
    padding-top: @fontsize * 1.25;
  }
}

#expositions #part1041{ // Pierre Marie
  .doublePages(4);
  .bleed4 .page .textTo,
  .bleed5 .page .textTo{
    margin-left: @unitW * 4;
    margin-top: 0;
    width: 155mm;
  }
  .bleed5 .page .textTo{
    margin-left: @unitW;
    cite{
      bottom: @unitH * 4 !important;
      margin-left: @unitW * 2;
    }
  }
  .bleed6 .page img{
    width: @unitW * 21;
  }
}

#expositions #part1044{ // carolien
  h3{
    margin-bottom: @fontsize * 1.25;
    margin-top: 0 !important;
  }
  h2{
    margin-top: @fontsize * 2.5;
    &:nth-of-type(1){
      margin-top: 0;
    }
  }
  P + h1.title{
    font-size: @fontsize * 2.5;
    line-height: @fontsize * 2.75;
    font-family: @fontfamilyTimesibHandles;
    text-align: center;
    transform: skewX(20deg);
    text-transform: uppercase;
    letter-spacing: 0.1em;
    margin-top: @fontsize * 7.5;
    margin-bottom: @fontsize * 2.5;
  }
  .bleed4 img{
    width: @unitW * 24;
  }
}

#expositions #part1042{  // Yovanovitch
  .column {
    h3{
      margin-top: @fontsize * 1.25;
    }
    p{
      text-indent: 0 !important;
      margin-left: @unitW * 2;
      em{
        font-family: @fontfamilytimesib05;
        margin-left: -(@unitW * 2);
        display: inline-block;
      }
    }
  }
}

#expositions #part1062{ // Pasollunghi
  .bleed .page img{
    width: @unitW * 28;
  }
  .bleed .pageLeft img{
    margin-right: -(@unitW * 2);
  }
  .bleed .pageRight img{
    margin-left: -(@unitW * 3);
  }
  .columnFr > h5:nth-of-type(1){
    padding-top: 0 !important;
  }
  .columnEn h1{
    font-size: @fontsize * 2.5 !important;
    line-height: @fontsize * 2.75 !important;
    font-family: @fontfamilyTimesibHandles;
    text-align: center;
    transform: skewX(20deg);
    text-transform: uppercase;
    letter-spacing: 0.1em;
    margin-top: @fontsize * 7.5;
    margin-bottom: @fontsize * 2.5;
  }
}

#expositions #part1043{ // Malouin
  .columnFr p:nth-of-type(4){
    letter-spacing: -0.02em;
  }
  .doublePages(4);
  .doublePages(12);
}

#expositions #part1078, // 5 ROOME
#expositions #part1063, // reine jane
#expositions #part1077{ // Debeauluey
  .column h5:nth-of-type(1){
    padding-top: 0 !important;
  }
}

#expositions #part1077{ // DEBEAULIAU
 .column p{
   text-indent: 0;
   em{
     margin-left: @unitW * 2;
     display: block;
   }
 }
 .bleed2,
 .bleed3,
 .bleed4,
 .bleed5{
   img{
     width: @pageW - 1mm;
   }
 }
 .bleed3,
 .bleed5{
   img{
     margin-left: -(@unitW * 8) + 1mm;
   }
 }
}

#expositions #part1063, // REINE JANE
#expositions #part1073{ // ABN
  .doublePages(2);
}

#expositions #part1074{ // oppenheim
  .columnEn  h6{
    margin-bottom: 10cm;
  }
  .columnFr h2{
    margin-top: -(@unitH * 3.5) !important;
    text-align: center;
    margin-bottom: @unitH * 3.25;
  }
  .columnEn h2{
    text-align: center;
    margin-top: 0 !important;
    margin-bottom: @unitH * 2.9;
  }
  .doublePages(4);
}

#expositions #part1072{ // Lesage
  .textTo{
    letter-spacing: -0.03em;
    word-spacing: -0.03em;
    h5{
      padding-top: 0 !important;
    }
  }
  .doublePages(4);
}

#expositions #part1065{ // BOUTIQUE
  .doublePages(4);
}

#expositions #part1079{ // ESAD TPM
  .column {
    letter-spacing: -0.01em;
    word-spacing: -0.01em;
    p q{
      font-family: @fontfamilyTimesl11;
    }
    h5 + h2{
      margin-top: @fontsize * 2.5 !important;
    }
  }
  .bleed3 .column{
    h2{
      margin-top: 0 !important;
    }
  }
}

#remerciements{
  .bleed .pageRight{
    .texts{
      margin-left: @unitW * 2;
      display: flex;
      .textTo *{
        font-size: @fontsize * .7;
        line-height: @fontsize * .9375;
      }
      .textTo{
        margin-left: 0;
        width: @unitW * 9;
        margin-right: @unitW;
        &:nth-last-of-type(1){
          margin-right: 0;
        }
        .text{
          width: 100%;
          height: 100%;
          top: 0;
          .column{
            h3:nth-of-type(1){
              margin-top: 0 !important;
            }
            h1{
              font-size: @fontsize * 2;
              line-height: @fontsize * 1.875;
              font-family: @fontfamilyTimesibHandles;
              text-align: center;
              letter-spacing: 0.1em;
              hyphens: auto;
              margin: (@fontsize * 1.25) @unitW * .5;
              margin-left: 0;
              transform: skewX(10deg);
            }
            h3,
            h4{
              font-family: @fontfamilyTimesb11 !important;
              margin-top: @fontsize * .625;
              // margin-bottom: -(@fontsize * .625);
              text-indent: 0 !important;
              display: block;
            }
            u{
              text-decoration: none;
              font-family: @fontfamilyTimesb11 !important;
              display: inline;
              strong{
                display: inline !important;
              }
              &:before{
                content: '| ';
                font-family: @fontfamilydesignParadeSymbole;
                font-size: 9pt;
                line-height: @fontsize * 1.25;
              }
            }
            p{
              text-indent: 0 !important;
              strong{
                font-family: @fontfamilyTimesb11 !important;
                margin-top: @fontsize * .625;
                text-indent: 0 !important;
                display: block;
              }
              del{
                font-family: @fontfamilydesignParadeSymbole !important;
                text-decoration: none !important;
                display: inline-block;
                margin-left: 9mm;
                margin-top: 5.625pt;
                text-align: center;
                font-size: 10.1pt;
              }
              em{
                font-family: @fontfamilyTimesr11 !important;
                margin-left: @unitW * .5;
                font-style: normal;
                text-indent: 0 !important;
                display: inline-block;
                strong{
                  display: inline;
                }
              }
              &:nth-of-type(1) strong{
                margin-top: 0;
              }
            }
          }
        }
      }
    }
  }
}

#remerciements.toulon{
  .bleed{
    .column{
      letter-spacing: -0.01em;
      word-spacing: -0.01em;
    }
  }
}

#ouverture{
  font-family: @fontfamilyTimesr11;
  .titles{
    h1{
      margin-top: @unitH * .5;
      font-size: @fontsize * 2.5;
      line-height: @fontsize * 2.75;
      font-family: @fontfamilyTimesibHandles;
      text-align: center;
      /*test: @getNum;*/
      transform: skewX(20deg);
      text-transform: uppercase;
      letter-spacing: 0.1em;
      font-weight: normal;
    }
  }
  .sommaire{
    margin-left: @unitW * 2;
    width: @pageW - (@unitW * 4);
    display: flex;
    line-height: @fontsize * 1.25;
    font-size: @fontsize * .9;
    position: relative;
    .column{
      width: @unitW * 14;
      position: relative;
    }
  }
}
